<?php
/**
 * Wagento SMS Notifications powered by LINK Mobility
 *
 * Sends transactional SMS notifications through the LINK Mobility messaging
 * service.
 *
 * @package Wagento\SMSNotifications\Model\Config\Source
 * @author Joseph Leedy <joseph@wagento.com>
 * @author Yair García Torres <yair.garcia@wagento.com>
 * @copyright Copyright (c) Wagento (https://wagento.com/)
 * @license https://opensource.org/licenses/OSL-3.0.php Open Software License 3.0
 */

declare(strict_types=1);

namespace Wagento\SMSNotifications\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 * Source Type Configuration Field Source Model
 *
 * @package Wagento\SMSNotifications\Model\Config\Source
 * @author Joseph Leedy <joseph@wagento.com>
 */
class SourceType implements ArrayInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => 'SHORTNUMBER',
                'label' => __('Short Number')
            ],
            [
                'value' => 'ALPHANUMERIC',
                'label' => __('Alphanumeric')
            ],
            [
                'value' => 'MSISDN',
                'label' => __('Phone Number')
            ]
        ];
    }
}
